%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name cffi

Name: python%{python_suffix}-%{pypi_name}
Version: 1.14.5
Release: 1
License: MIT
Summary: C Foreign Function Interface for Python
Url: https://pypi.python.org/pypi/cffi/

Source0: https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: libffi-devel
BuildRequires: pkg-config

BuildRequires: python%{python_suffix}-pycparser

Requires: python%{python_suffix}-pycparser

%description
%summary

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/cffi*
%{python_sitelib}/_cffi_backend.cpython-%{python_version_nodots}.so

%changelog
* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 1.14.5
- Port to Python 3.9
- Use macros from python-rpm-macros
- Update to 1.14.5 to work on Python 3.9

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Fix description copied from cryptography

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from install cmd to ensure package deps set correctly
- Line wrap description at 80 columns
- Add requires on pycparser
- Use py_ver macro to run setup.py

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Jul 17 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded transitive dependencies from python spec files

* Thu May 10 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial package
